<div class="container-fluid mt-0 mb-5 pl-0 pr-0">
  <ejs-grid #objectRulesListGrid [dataSource]="objectRules" [allowPaging]="true" [allowSorting]="true"
    [showColumnChooser]="true" [toolbar]="gridToolbar" [pageSettings]="gridPageSettings" [allowTextWrap]="true">
    <e-columns>
      <e-column field="data_lyr_name" headerText={{objRuleListFormContent.ruleListColumn.objLayerNm}}>
        <ng-template #template let-objectRules>
          <span title="{{objectRules.data_lyr_name}}">
            {{objectRules.data_lyr_name !== null && objectRules.data_lyr_name?.length > 25 ? objectRules.data_lyr_name.slice(0,25).concat("...") : objectRules.data_lyr_name}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="obj_nm" headerText={{objRuleListFormContent.ruleListColumn.objNm}}>
        <ng-template #template let-objectRules>
          <span title="{{objectRules.obj_nm}}">
            {{objectRules.obj_nm !== null && objectRules.obj_nm?.length > 25 ? objectRules.obj_nm.slice(0,25).concat("...") : objectRules.obj_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="attr_nm" headerText="{{objRuleListFormContent.ruleListColumn.colName}}">
        <ng-template #template let-objectRules>
          <span title="{{objectRules.attr_nm}}">
            {{objectRules.attr_nm !== null && objectRules.attr_nm?.length > 25 ? objectRules.attr_nm.slice(0,25).concat("...") : objectRules.attr_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="visual_rule_desc" headerText="{{objRuleListFormContent.ruleListColumn.visualDescription}}">
        <ng-template #template let-objectRules>
          <span title="{{objectRules.visual_rule_desc}}">
            {{objectRules.visual_rule_desc !== null && objectRules.visual_rule_desc?.length > 25 ? objectRules.visual_rule_desc.slice(0,25).concat("...") : objectRules.visual_rule_desc}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="rule_typ" headerText="{{objRuleListFormContent.ruleListColumn.ruleCat}}">
        <ng-template #template let-objectRules>
          <span title="{{objectRules.rule_typ}}">
            {{objectRules.rule_typ !== null && objectRules.rule_typ?.length > 25 ? objectRules.rule_typ.slice(0,25).concat("...") : objectRules.rule_typ}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="rule_desc" title="rule_desc"
        headerText="{{objRuleListFormContent.ruleListColumn.ruleDescription}}">
        <ng-template #template let-objectRules>
          <span title="{{objectRules.rule_desc}}">
            {{objectRules.rule_desc !== null && objectRules.rule_desc?.length > 25 ? objectRules.rule_desc.slice(0,25).concat("...") : objectRules.rule_desc}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="is_rule_actv" headerText="{{objRuleListFormContent.ruleListColumn.isActive}}" width='100'
        class="justify-content-center">
        <ng-template #template let-objectRules>
          <div class="switch">
            {{objectRules.is_rule_actv?'Yes':''}}
            <ejs-switch [checked]="objectRules.is_rule_actv" [disabled]="true"></ejs-switch>
            {{objectRules.is_rule_actv?'':'No'}}
          </div>
        </ng-template>
      </e-column>
      <e-column field="rule_svrt" headerText={{objRuleListFormContent.ruleListColumn.ruleSvrt}} width='130'>
        <ng-template #template let-objectRules>
          <span title="{{objectRules.rule_svrt}}">
            {{objectRules.rule_svrt !== null && objectRules.rule_svrt?.length > 25 ? objectRules.rule_svrt.slice(0,25).concat("...") : objectRules.rule_svrt}}
          </span>
        </ng-template>
      </e-column>
      <e-column headerText={{objRuleListFormContent.ruleListColumn.editCommands}} [commands]="gridCommands"
        width='85' textAlign="Center"></e-column>
    </e-columns>
  </ejs-grid>
  <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
    <span class="text-dark ml-5 mr-2 mt-2 pt-1">Results Per Page</span>
    <span class="mt-1">
      <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
        value="5" (change)="changePageSize($event)" width="75px">
      </ejs-dropdownlist>
    </span>
  </span>
</div>
<span *ngIf="active">
  <span id="showObjectResultsCount" class="top-minus-5">
    <span
      class="text-muted">{{(objectRulesListGrid.pageSettings.currentPage-1)*objectRulesListGrid.pageSettings.pageSize+1}}
      -
      {{filterMetadata.count > objectRulesListGrid.pageSettings.currentPage*objectRulesListGrid.pageSettings.pageSize ? objectRulesListGrid.pageSettings.currentPage*objectRulesListGrid.pageSettings.pageSize : filterMetadata.count}}</span>
  </span>
  <span id="addObjectRuleTemplate" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true" aria-label="Add New Object Rule">
      <img src="assets/images/novartis/add.svg" alt="Add New Rule" />{{dataQualityContent.addNewRule}}</button>
  </span>

  <span id="columnChooserTemplateObject" class=" mr-0 top-minus-8">
    <button class="iconButton btn btn-primary" data-ripple="true" aria-label="Choose Columns To be Displayed">
      <img src="assets/images/novartis/column.svg" alt="Choose Columns" />
    </button>
  </span>
</span>